package com.brilliance.isc.bo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Gcdgrp;
import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.bo.model.Trnmod;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GftaddStoreBo extends BaseTransactionVo {

    private Gidgrp gidgrp;

    private Gcdgrp gcdgrp;


    @Override
    public void reset() {
        super.reset();
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
    }
}
